# セキュリティ監査レポートコマンド

### セキュリティ監査レポート <a href="#security-audit-report" id="security-audit-report"></a>

エンタープライズユーザーのパスワードのセキュリティ強度レポートを生成します。ノードによる絞り込み、出力形式と出力先の指定、BreachWatch指標の取り込み (有効な場合のみ)、スコア計算方法の指定、更新後の監査結果の保存または表示、無効なセキュリティデータの修復、非対話モードなどを指定できます。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `security-audit-report`

**パラメーター:**

`--node` - エンタープライズノードでレポート結果を絞り込みます。

`--show-updated` - セキュリティスコアを再計算し、更新後の値をローカルに表示します。

`--save` - セキュリティスコアを再計算し、更新後の値をKeeperに保存します。

`--force` - 確認プロンプトを省略します (非対話モード)。

`--score-type` - スコア計算方式を指定します: `default` または `strong_passwords`。

`--breachwatch` - レポートにBreachWatchの指標を含めます (有効な場合)。

`--attempt-fix` - 無効なセキュリティデータをリセットし、対象ユーザーのスコアを再計算します。

`--format` - レポートをjson、table、csvの形式で表示します。

`--output` - 出力をファイルに保存します。

**例:**

```sh
My Vault> security-audit-report --format json --output security_score.json
```

```shellscript
My Vault> security-audit-report --score-type strong_passwords --save --force
```

```shellscript
My Vault> security-audit-report --breachwatch
```

</details>

<details>

<summary>DotNet SDK</summary>

**近日公開**

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperSecurityAuditReport`

**パラメーター:**

`-Node` - エンタープライズノードでレポート結果を絞り込みます。

`-ShowUpdated` - セキュリティスコアを再計算し、更新後の値をローカルに表示します。

`-Save` - セキュリティスコアを再計算し、更新後の値をKeeperに保存します。

`-Force` - 確認プロンプトを省略します (非対話モード)。

`-ScoreType` - スコア計算方式を指定します: `default` または `strong_passwords`。

`-BreachWatch` - レポートにBreachWatchの指標を含めます (有効な場合)。

`-AttemptFix` - 無効なセキュリティデータをリセットし、対象ユーザーのスコアを再計算します。

`-Format` - レポートをjson、table、csvの形式で表示します。

`-Output` - 出力をファイルに保存します。

**例:**

```
PS > Get-KeeperBreachWatchReport -Format csv -Output "breachwatch_report.csv"

PS > Get-KeeperSecurityAuditReport -ScoreType strong_passwords -Save -Force  
Security scores pushed to Keeper.

Security Audit Report

Email                             Name                  Sync Pending Weak  Fair Medium Strong Reused Unique Security Score 2FA Node
-----                             ----                  ------------ ----  ---- ------ ------ ------ ------ -------------- --- ----
test@example.com                  test1                                0   222    310   1084    926    690             67 Off Node A
test1+qa@example.com              test1qa                             14  1322   2249   7419      0  11004             67 Off Node A
test1+test@example.com            atest                                0     0      0      0      0      0              0 Off Node A
test1+test1@example.com           btest                                0     1      0      2      0      3             67 Off Node A\Node B


PS > Get-KeeperSecurityAuditReport -BreachWatch                               

Security Audit Report (BreachWatch)

Email                             Name                  Sync Pending At Risk Passed Ignored
-----                             ----                  ------------ ------- ------ -------
test@example.com                  test1                                  170   1446     0
test1+qa@example.com              testqa                                 4      0       0
test1+test@example.com            atest                                  0      0       0
test1+test1@example.com           btest                                  0      3       0
```

</details>

<details>

<summary>Python CLI</summary>

**コマンド:** `security-audit-report`

**フラグ:**

* `--format` 出力形式 {table, csv, json}
* `--output` 結果ファイルの出力パス (形式が `table` のときは無視)
* `--syntax-help` ヘルプの表示
* `-n, --node` レポート結果を絞り込むノード名またはノードUID
* `-b, --breachwatch` BreachWatchレポートの表示 (BreachWatchが無効な場合は無視)
* `-s, --save` 更新後のセキュリティ監査レポートの保存
* `-su, --show-updated` 更新後のデータの表示
* `-st, --score-type` スコア計算方法の指定 {strong\_passwords, default}
* `--attempt-fix` セキュリティデータが無効なボルトに強制同期を実行し、関連スコアをリセットします。対象ボルトが再計算・更新するまではスコアが不正確になります
* `-f, --force` 確認プロンプトの省略 (非対話モード)

**例:**

```
My Vault> security-audit-report --format json --output security_score.json
My Vault> security-audit-report --score-typ
```

</details>

<details>

<summary>Python SDK</summary>

**関数:**

```python
def _get_updated_security_report_row(
        self,
        sr: APIRequest_pb2.SecurityReport,
        last_saved_data: Dict[str, int],
        current_email: str
    ) -> Dict[str, int]:
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/reporting-commands/security-audit-report-command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
